com.fasterxml.jackson.databind.deser

## Class DefaultDeserializationContext.Impl

- java.lang.Object
- - com.fasterxml.jackson.databind.DatabindContext
  - - com.fasterxml.jackson.databind.DeserializationContext
    - - com.fasterxml.jackson.databind.deser.DefaultDeserializationContext
      - - com.fasterxml.jackson.databind.deser.DefaultDeserializationContext.Impl

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DefaultDeserializationContext

      public static final class DefaultDeserializationContext.Impl
      extends DefaultDeserializationContext

  Actual full concrete implementation
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.DefaultDeserializationContext

      `DefaultDeserializationContext.Impl`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.DefaultDeserializationContext

      `_objectIds`

    - ### Fields inherited from class com.fasterxml.jackson.databind.DeserializationContext

      `_arrayBuilders, _attributes, _cache, _config, _currentType, _dateFormat, _factory, _featureFlags, _injectableValues, _objectBuffer, _parser, _view`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Impl(DefaultDeserializationContext.Impl src)`
    `protected` | `Impl(DefaultDeserializationContext.Impl src, DeserializationConfig config, JsonParser jp, InjectableValues values)`
    `protected` | `Impl(DefaultDeserializationContext.Impl src, DeserializerFactory factory)`
    `` | `Impl(DeserializerFactory df)` Default constructor for a blueprint object, which will use the standard `DeserializerCache`, given factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultDeserializationContext` | `copy()` Method needed to ensure that `ObjectMapper.copy()` will work properly; specifically, that caches are cleared, but settings will otherwise remain identical; and that no sharing of state occurs.
    `DefaultDeserializationContext` | `createInstance(DeserializationConfig config, JsonParser p, InjectableValues values)` Method called to create actual usable per-deserialization context instance.
    `DefaultDeserializationContext` | `with(DeserializerFactory factory)` Fluent factory method used for constructing a blueprint instance with different factory

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.DefaultDeserializationContext

      `checkUnresolvedObjectId, createReadableObjectId, deserializerInstance, findObjectId, keyDeserializerInstance, tryToResolveUnresolvedObjectId`

    - ### Methods inherited from class com.fasterxml.jackson.databind.DeserializationContext

      `_isCompatible, canOverrideAccessModifiers, constructCalendar, constructSpecializedType, constructType, endOfInputException, findClass, findContextualValueDeserializer, findInjectableValue, findKeyDeserializer, findNonContextualValueDeserializer, findRootValueDeserializer, getActiveView, getAnnotationIntrospector, getArrayBuilders, getAttribute, getBase64Variant, getConfig, getContextualType, getDateFormat, getDefaultPropertyFormat, getDeserializationFeatures, getFactory, getLocale, getNodeFactory, getParser, getTimeZone, getTypeFactory, handleBadMerge, handleInstantiationProblem, handleMissingInstantiator, handleMissingTypeId, handlePrimaryContextualization, handleSecondaryContextualization, handleUnexpectedToken, handleUnexpectedToken, handleUnexpectedToken, handleUnexpectedToken, handleUnknownProperty, handleUnknownTypeId, handleWeirdKey, handleWeirdNativeValue, handleWeirdNumberValue, handleWeirdStringValue, hasDeserializationFeatures, hasSomeOfFeatures, hasValueDeserializerFor, instantiationException, instantiationException, invalidTypeIdException, isEnabled, isEnabled, leaseObjectBuffer, mappingException, mappingException, mappingException, mappingException, missingTypeIdException, parseDate, readPropertyValue, readPropertyValue, readTree, readValue, readValue, reportBadDefinition, reportBadMerge, reportBadPropertyDefinition, reportBadTypeDefinition, reportInputMismatch, reportInputMismatch, reportInputMismatch, reportInputMismatch, reportMappingException, reportMissingContent, reportPropertyInputMismatch, reportPropertyInputMismatch, reportTrailingTokens, reportUnknownProperty, reportUnresolvedObjectId, reportWrongTokenException, reportWrongTokenException, reportWrongTokenException, reportWrongTokenException, returnObjectBuffer, setAttribute, unknownTypeException, weirdKeyException, weirdNativeValueException, weirdNumberException, weirdStringException, wrongTokenException, wrongTokenException, wrongTokenException`

    - ### Methods inherited from class com.fasterxml.jackson.databind.DatabindContext

      `_colonConcat, _desc, _format, _quotedString, _throwNotASubtype, _throwSubtypeClassNotAllowed, _throwSubtypeNameNotAllowed, _truncate, constructType, converterInstance, objectIdGeneratorInstance, objectIdResolverInstance, reportBadDefinition, resolveAndValidateSubType, resolveSubType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Impl

          public Impl(DeserializerFactory df)

      Default constructor for a blueprint object, which will use the standard `DeserializerCache`, given factory.

    - #### Impl

          protected Impl(DefaultDeserializationContext.Impl src,
                         DeserializationConfig config,
                         JsonParser jp,
                         InjectableValues values)

    - #### Impl

          protected Impl(DefaultDeserializationContext.Impl src)

    - #### Impl

          protected Impl(DefaultDeserializationContext.Impl src,
                         DeserializerFactory factory)

  - ### Method Detail

    - #### copy

          public DefaultDeserializationContext copy()

      Description copied from class: `DefaultDeserializationContext`
      Method needed to ensure that `ObjectMapper.copy()` will work properly; specifically, that caches are cleared, but settings will otherwise remain identical; and that no sharing of state occurs.
      Overrides:
        `copy` in class `DefaultDeserializationContext`

    - #### createInstance

          public DefaultDeserializationContext createInstance(DeserializationConfig config,
                                                              JsonParser p,
                                                              InjectableValues values)

      Description copied from class: `DefaultDeserializationContext`
      Method called to create actual usable per-deserialization context instance.
      Specified by:
        `createInstance` in class `DefaultDeserializationContext`

    - #### with

          public DefaultDeserializationContext with(DeserializerFactory factory)

      Description copied from class: `DefaultDeserializationContext`
      Fluent factory method used for constructing a blueprint instance with different factory
      Specified by:
        `with` in class `DefaultDeserializationContext`

Copyright © 2008–2020 FasterXML. All rights reserved.